.tooltip {
    background-color: var(--background-color);
    border: 1px solid var(--border-light);
    text-align: left;
    color: var(--text-color);
    white-space: nowrap;
    border-radius: 0.25rem;
    padding: 0.25rem 0.5rem;

    &:before {
        content: "";
        position: absolute;
        z-index: 888888;
    }
}

.tooltip.top {
    transform: translate(calc(-50% + 0.25rem), calc(-150% - 0.25rem));

    &:before {
        top: 100%;
        left: 50%;
        margin-left: -0.25rem;
        border-left: 0.5rem solid transparent;
        border-right: 0.5rem solid transparent;
        border-top: 0.5rem solid var(--border-light);
    }
}

.tooltip.right {
    transform: translate(1.5rem, calc(-100% + 0.625rem));

    &:before {
        right: 100%;
        top: 50%;
        margin-top: -0.5rem;
        color: var(--border-light);
        border-top: 0.5rem solid transparent;
        border-bottom: 0.5rem solid transparent;
        border-right: 0.5rem solid var(--border-light);
    }
}

.tooltip.bottom {
    transform: translate(calc(-50% + 0.25rem), 0.25rem);

    &:before {
        bottom: 100%;
        left: 50%;
        margin-left: -0.25rem;
        border-left: 0.5rem solid transparent;
        border-right: 0.5rem solid transparent;
        border-bottom: 0.5rem solid var(--border-light);
    }
}

.tooltip.left {
    transform: translate(calc(-100% - 0.5rem), calc(-50% - 0.625rem));

    &:before {
        left: 100%;
        top: 50%;
        margin-top: -0.5rem;
        border-top: 0.5rem solid transparent;
        border-bottom: 0.5rem solid transparent;
        border-left: 0.5rem solid var(--border-light);
    }
}
